package cn.net.cpzslibs.prot.handset.bean;

import java.io.Serializable;
import java.util.List;

/**
 * 为24号协议，json解析使用
 * 
 * @author zwj
 * 
 *         2015-5-7
 */
public class Prot24TrayBoxBean implements Serializable {

	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	private int vplletSize;
	private int vplletState;
	private long vplletCreateTime;
	private long vplletID;
	private List<Boxlist> boxlist;

	public static class Boxlist implements Serializable{
		/**
		 * 
		 */
		private static final long serialVersionUID = -9136199262961590277L;
		private String boxID;
		private String state;


		public String getBoxID() {
			return boxID;
		}


		public String getState() {
			return state;
		}


		@Override
		public String toString() {
			return "Boxlist [boxID=" + boxID + ", state=" + state + "]";
		}

	}

	public int getVplletSize() {
		return vplletSize;
	}

	public int getVplletState() {
		return vplletState;
	}

	public long getVplletCreateTime() {
		return vplletCreateTime;
	}

	public String getVplletCreateTimeStr() {
		return String.valueOf(vplletCreateTime);
	}

	public long getVplletID() {
		return vplletID;
	}
	public String getVplletIDStr() {
		return String.valueOf(vplletID);
	}

	public List<Boxlist> getBoxlist() {
		return boxlist;
	}

	@Override
	public String toString() {
		return "Prot24TrayBoxBean [vplletSize=" + vplletSize + ", vplletState="
				+ vplletState + ", vplletCreateTime=" + vplletCreateTime
				+ ", vplletID=" + vplletID + ", boxlist=" + boxlist.toString()
				+ "]";
	}

}
